Package org.apache.batchee.container.services

## Class ServicesManager

- java.lang.Object
- - org.apache.batchee.container.services.ServicesManager

- All Implemented Interfaces:
    `BatchContainerConstants`

      public class ServicesManager
      extends Object
      implements BatchContainerConstants

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServicesManager()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `static ServicesManager` | `find()` |
    `void` | `init​(Properties props)` | Init doesn't actually load the service impls, which are still loaded lazily.
    `<T extends BatchService> T` | `service​(Class<T> clazz)` |
    `static void` | `setServicesManagerLocator​(ServicesManagerLocator locator)` |
    `static String` | `value​(String key, String defaultValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesManager

          public ServicesManager()

  - ### Method Detail

    - #### setServicesManagerLocator

          public static void setServicesManagerLocator​(ServicesManagerLocator locator)

    - #### find

          public static ServicesManager find()

    - #### value

          public static String value​(String key,
                                     String defaultValue)

    - #### init

          public void init​(Properties props)

      Init doesn't actually load the service impls, which are still loaded lazily. What it does is it hardens the config. This is necessary since the batch runtime by and large is not dynamically configurable, (e.g. via MBeans). Things like the database config used by the batch runtime's persistent store are hardened then, as are the names of the service impls to use.

    - #### close

          public void close()

    - #### service

          public <T extends BatchService> T service​(Class<T> clazz)
                                             throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`